Skip to main content
POST
POST
Creates a Stripe Checkout session for a subscription plan and returns the redirect URL. The user should be forwarded to checkout_url to complete payment on Stripe’s hosted page.

Request Body

string
required
UUID of the subscription plan to purchase.
string
URL to redirect to after successful payment. Defaults to the app’s billing success page.
string
URL to redirect to if the user cancels checkout. Defaults to the app’s billing page.

Response

boolean
true when the checkout session was created.
string
Stripe hosted checkout URL. Redirect the user to this URL to complete payment.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
plan_id
string<uuid>
required
success_url
string<uri>
cancel_url
string<uri>

Response

200 - application/json

Checkout session created

success
boolean
data
object